2023-06-15 02:09:15 UTC
54.7 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:74051fed7c11c74895f7583bcde366e9192af8539de4915832d9c990bd23f581 - 4.93% (2.7 MB)
[#001] sha256:548514d225a829f6346f1663060a7761ced4cd659e113c1e775b24f44a3faf56 - 0.0% (1.23 KB)
[#002] sha256:97eb9fed92133fe529e12458818700eb8cd8e497db8328b09c50a485e0eb0c76 - 95.06% (52 MB)
[#003] sha256:f70eefb0e171067dca85a06604a27cf0af253f687696a01771d3de5dffd8de5a - 0.0% (174 Bytes)
[#004] sha256:48bd4b965b1bb55cafe71ab0146699690503b5908aa548c3bca8a35d74dd8eb1 - 0.0% (153 Bytes)
[#005] sha256:693c580ce52064ee829c5e589ca4149150eed8515c9fb8ef6cb97574a03932ff - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:92f6ab42e26a2cc37a3463b6f6508e29ae194413d31cb95f1609f93f32d2e94d in /
2023-06-14 22:33:34 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-06-15 02:08:59 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.3
2023-06-15 02:08:59 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-06-15 02:09:00 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-06-15 02:09:00 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-06-15 02:09:13 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-06-15 02:09:14 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-06-15 02:09:14 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-06-15 02:09:15 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-06-15 04:37:02 UTC
56.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0cdfa0c98ed79707cd91c5dd7ebd282aa2b976d86a9e699d7fc188cdb6be390e - 4.8% (2.7 MB)
[#001] sha256:4b46aa00dea57c20ab63ce5dc7fd0fdf4580817fddec9229f08fe80cfc304159 - 0.0% (1.24 KB)
[#002] sha256:6a69a0f3412452997767b234e71a4c165c08371023ca761b4342aa77dc64ddfb - 95.19% (53.4 MB)
[#003] sha256:818c87e2b1a0c74e525df02df882c0ae5f4e1f6223cf86cf380f280c4622caab - 0.0% (173 Bytes)
[#004] sha256:47b633d22683fe07e29ca439b471c8ede3faba1d3793ad81134dab61aee1f26a - 0.0% (153 Bytes)
[#005] sha256:f5040811b37dcf9d5ace635f0ebaa4a0f1beb88ab69b5eb3514ccc6516a3fe95 - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:4fa8e307f595ecff485113fb0ec6e2320979eaa6fb3eb467d2433771a6f016e6 in /
2023-06-14 20:42:13 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-06-15 04:36:54 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.3
2023-06-15 04:36:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-06-15 04:36:54 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-06-15 04:36:55 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-06-15 04:37:01 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-06-15 04:37:01 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-06-15 04:37:02 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-06-15 04:37:02 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-06-15 01:25:05 UTC
53.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:41c5c5b38e13af18def277385607129664fb24993d262d4b601a381e776482a9 - 4.7% (2.51 MB)
[#001] sha256:8b8796af763c35c14dc95c5ad51aacc6f38c14348304e99b8cc10349154b5c09 - 0.0% (1.24 KB)
[#002] sha256:c2e3c869dfe4483f82ac26aa64118cf487cd77b6f0dc3a0d4033572c09129f43 - 95.29% (50.9 MB)
[#003] sha256:7c4f814c47a45d6b6c2a38fccdcd11e6d191a76377dd0b516dc97ac55b85fdf3 - 0.0% (174 Bytes)
[#004] sha256:7891295a6c6879c09f5a98d3bc68a3c2d31e1e6780dd5a1e240b692b7c4eb6ac - 0.0% (153 Bytes)
[#005] sha256:af772f64f4cb332268597afef992effc116cf23974e455316e055b700e5a991a - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:b987db82fa4ce6e623de49a50612c1fd91c5ab2209a62a5727ab3436c2923e91 in /
2023-06-14 18:49:32 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-06-15 01:24:47 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.3
2023-06-15 01:24:48 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-06-15 01:24:48 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-06-15 01:24:48 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-06-15 01:25:02 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-06-15 01:25:04 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-06-15 01:25:04 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-06-15 01:25:04 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-06-15 01:25:04 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-06-15 01:25:04 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-06-15 01:25:05 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-06-15 01:25:05 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-06-15 01:25:05 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-06-15 01:25:05 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-06-14 22:38:15 UTC
53 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:a147224bf413aeffbbfcdcb5104d35c647256a5c32083f4d8134f09a4e74ddeb - 4.9% (2.59 MB)
[#001] sha256:2dd6ecb287f8b815309167e72faab910b64cb461ee06c98450cb4c084d0e9d4f - 0.0% (1.24 KB)
[#002] sha256:c82182ccdd08bc2d5e0f933a67cb0222fa72719c4dc5effd2e04ca976bb9a806 - 95.1% (50.4 MB)
[#003] sha256:89685cf8b3738470c953cfd090b45530b5acab8d954dbf7f225ec8ac2d93f1dc - 0.0% (174 Bytes)
[#004] sha256:7d34fe79a71e3ab6ab5fa8d70274cf1e5baa9167ded20425153a6ab99ff2f926 - 0.0% (153 Bytes)
[#005] sha256:fdca9688632f01af824b8c4402a9a0380aac986343ae5ad4d9783c460a6d1ea5 - 0.0% (1.79 KB)
/bin/sh -c #(nop) ADD file:2b463f242cb7bf946452bb4781838348ecbe80da144fbab09f51d7e050dc68f3 in /
2023-06-14 20:49:11 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-06-14 22:38:06 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.3
2023-06-14 22:38:07 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-06-14 22:38:07 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-06-14 22:38:07 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-06-14 22:38:13 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-06-14 22:38:14 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-06-14 22:38:14 UTC|1 CONSUL_VERSION=1.15.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-06-14 22:38:14 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-06-14 22:38:14 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-06-14 22:38:15 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-06-14 22:38:15 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-06-14 22:38:15 UTC/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh
2023-06-14 22:38:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-06-14 22:38:15 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]